Subject: bug#35412: closed (Re: [bug#35412] [PATCH 1/2] gnu: rpm: Use python3 instead of python2.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 11 May 2019 08:46:02 +0000

Your bug report

#35412: [PATCH 1/2] gnu: rpm: Use python3 instead of python2.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35412: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35412
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#35412] [PATCH 1/2] gnu: rpm: Use python3 instead of python2.
From: Arun Isaac <[email-masked]>
To: Jonathan Brielmaier <[email-masked]>
Cc: [email-masked]
Date: Sat, 11 May 2019 14:15:21 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks! I pushed your patches with a few modifications, of which the two
most notable are:

- I updated rpm to 4.14.2.1.
- GitHub autogenerated source tarballs are unstable (their hashes
change). So, I made osc use git-fetch instead of url-fetch.

Subject: [PATCH 1/2] gnu: rpm: Use python3 instead of python2.
From: Jonathan Brielmaier <[email-masked]>
To: [email-masked]
Cc: Jonathan Brielmaier <[email-masked]>
Date: Wed, 24 Apr 2019 12:03:21 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

osc depends on python-rpm and requires python3 now.

* gnu/packages/package-management.scm (rpm)[inputs]: Use python instead
of python-2.
---
 gnu/packages/package-management.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/package-management.scm b/gnu/packages/package-management.scm
index 6708a761eb..f3b592b9e9 100644
--- a/gnu/packages/package-management.scm
+++ b/gnu/packages/package-management.scm
@@ -518,7 +518,7 @@ symlinks to the files in a common directory such as /usr/local.")
     (native-inputs
      `(("pkg-config" ,pkg-config)))
     (inputs
-     `(("python" ,python-2)
+     `(("python" ,python)
        ("xz" ,xz)
        ("bdb" ,bdb)
        ("popt" ,popt)
--
2.21.0